Your message dated Wed, 11 Nov 2015 22:19:44 +0000
with message-id <e1zwdk0-0005gw...@franck.debian.org>
and subject line Bug#804470: fixed in gradle 2.7-2
has caused the Debian Bug report #804470,
regarding gradle: FTBFS: error: incompatible types: getExtraInfo
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
804470: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=804470
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: gradle
Version: 2.7-1
Severity: serious
Justification: fails to build from source
Tags: sid 
User: reproducible-bui...@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-CC: reproducible-bui...@lists.alioth.debian.org

Dear Maintainer,

The package fails to build:

:antlr:classpathManifest
:dependencyManagement:classpathManifest
:dependencyManagement:compileJava/gradle-2.7/subprojects/dependency-management/src/main/java/org/gradle/internal/component/external/model/DefaultIvyModuleResolveMetaData.java:34:
 error: incompatible types
        this.extraInfo = moduleDescriptor.getExtraInfo();
                                                      ^
  required: Map<NamespaceId,String>
  found:    Map<String,String>
/gradle-2.7/subprojects/dependency-management/src/main/java/org/gradle/internal/component/external/model/DefaultIvyModuleResolveMetaData.java:39:
 error: incompatible types
        this.extraInfo = moduleDescriptor.getExtraInfo();
                                                      ^
  required: Map<NamespaceId,String>
  found:    Map<String,String>
/gradle-2.7/subprojects/dependency-management/src/main/java/org/gradle/internal/component/external/model/DefaultIvyModuleResolveMetaData.java:44:
 error: incompatible types
        this.extraInfo = moduleDescriptor.getExtraInfo();
                                                      ^
  required: Map<NamespaceId,String>
  found:    Map<String,String>
/gradle-2.7/subprojects/dependency-management/src/main/java/org/gradle/api/internal/artifacts/ivyservice/ivyresolve/parser/IvyXmlModuleDescriptorParser.java:1142:
 error: method put in interface Map<K,V> cannot be applied to given types;
                getMd().getExtraInfo().put(new NamespaceId(uri, localName), 
buffer == null ? "" : buffer.toString());
                                      ^
  required: String,String
  found: NamespaceId,String
  reason: actual argument NamespaceId cannot be converted to String by method 
invocation conversion
  where K,V are type-variables:
    K extends Object declared in interface Map
    V extends Object declared in interface Map
Note: Some input files use or override a deprecated API.
Note: Recompile with -Xlint:deprecation for details.
Note: Some input files use unchecked or unsafe operations.

Full build log:
https://reproducible.debian.net/rb-pkg/unstable/amd64/gradle.html

-- System Information:
Debian Release: stretch/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

--- End Message ---
--- Begin Message ---
Source: gradle
Source-Version: 2.7-2

We believe that the bug you reported is fixed in the latest version of
gradle, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 804...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <a...@gambaru.de> (supplier of updated gradle package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 11 Nov 2015 21:55:31 +0100
Source: gradle
Binary: gradle libgradle-core-java libgradle-plugins-java gradle-doc
Architecture: source
Version: 2.7-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Java Maintainers 
<pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Markus Koschany <a...@gambaru.de>
Description:
 gradle     - Powerful build system for the JVM
 gradle-doc - Powerful build system for the JVM - Documentations
 libgradle-core-java - Powerful build system for the JVM - Core libraries
 libgradle-plugins-java - Powerful build system for the JVM - All plugins
Closes: 804470
Changes:
 gradle (2.7-2) unstable; urgency=medium
 .
   * Team upload.
   * d/rules: Remove mh_linkjars override. Apparently the override makes no
     difference.
   * Add ivy-2.4.0.patch and fix FTBFS with ivy 2.4.0. Thanks to
     Christ West for the report and MikoĊ‚aj Izdebski for the patch.
     (Closes: #804470)
Checksums-Sha1:
 5f7fefd95027898c930debc7ec11a981be72bf24 3426 gradle_2.7-2.dsc
 09c034d99ec90430a24db45b43d238b00ba0fb8a 29948 gradle_2.7-2.debian.tar.xz
Checksums-Sha256:
 899daf791336f62bed89d4f7900536eafaa08fb19eab1c9e499a3dce40f0d456 3426 
gradle_2.7-2.dsc
 35f843d96862875fdc4b95cd4a01d352bc3d576c78e98c92ac6a969afeb94537 29948 
gradle_2.7-2.debian.tar.xz
Files:
 2e698d5683927a1475007b4228a2877a 3426 java optional gradle_2.7-2.dsc
 eaec0e50dfe2c5e228f14f054cde588f 29948 java optional gradle_2.7-2.debian.tar.xz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQJ8BAEBCgBmBQJWQ7WZXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXRBQ0YzRDA4OEVGMzJFREVGNkExQTgzNUZE
OUFEMTRCOTUxM0I1MUU0AAoJENmtFLlRO1HkPaYP/21F2dzscWYUnc5UBY/uz+nC
Ogtat/PCHlDs8GT+Mq9ghB9mcf0p5DzHpaAR1TRAOzUxDv0u4nGPRLwYbha7CRip
/lpmM4rJyohGVgSw5BwUYUGVL4pgEfM7iwfglaqVP2Xn53wwbS9JQWyuQRfZ7n5u
oyr1E45g55ZcnYaVgXFGgY1neU2CjStJIQkqb9QBkfmCL442+vQRWhIaIJBil94l
jqWG7dzRIakYAQtozhmIU257+18LunrmM5AeIVQVcdB/HbSnUPkpxT3mDJg85mKf
ZoJSPZtUcbDKVnIujhce5Gf3L0Kx8xmInun+SRwz6DZgj2QiOmuZR33xacxngsXD
WhR138H3eLlskT3Tv0yJFojiifcvXYXZ49rI8nkN4h0dlc8L2iFX+0gPf6v4WG+q
Y8ZLjj+RLd6JmdTHfNNSn2vbMLDoywvAM1Gpd1yaYbvkA7uW5dBA4V8D20tjvhyh
3gfFXV7MMhx1kksJS48q6VzIg09tFAbx75YV5gnrZQVXSqbbcNQV/7HsOA8G4x5O
SLFWuxY3++gAi7asD0+R1Ou0n6mZ6AUvB0+2rwzj+87mkFex0y4NBmoa3rHvNQUT
e9EAcoAnBnFmnoPHEl6Gpo3M1JxfmCA8NIP1wnr/YdT4PZX4sN4KwfGNpBLMwXbH
q1UbNp+iGAwCFWOAG/yp
=mrxu
-----END PGP SIGNATURE-----

--- End Message ---
__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to